/****************************************************************************
** ┌─┐┬ ┬┬─┐┌─┐┬─┐┌─┐  ┌─┐┬─┐┌─┐┌┬┐┌─┐┬ ┬┌─┐┬─┐┬┌─
** ├─┤│ │├┬┘│ │├┬┘├─┤  ├┤ ├┬┘├─┤│││├┤ ││││ │├┬┘├┴┐
** ┴ ┴└─┘┴└─└─┘┴└─┴ ┴  └  ┴└─┴ ┴┴ ┴└─┘└┴┘└─┘┴└─┴ ┴
** A Powerful General Purpose Framework
** More information in: https://aurora-fw.github.io/
**
** Copyright (C) 2017 Aurora Framework, All rights reserved.
**
** This file is part of the Aurora Framework. This framework is free
** software; you can redistribute it and/or modify it under the terms of
** the GNU Lesser General Public License version 3 as published by the
** Free Software Foundation and appearing in the file LICENSE included in
** the packaging of this file. Please review the following information to
** ensure the GNU Lesser General Public License version 3 requirements
** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
****************************************************************************/

#include <AuroraFW/GEngine/API/Renderer.h>
#include <AuroraFW/GEngine/API/Context.h>
#include <AuroraFW/GEngine/GL/Renderer.h>
#include <AuroraFW/GEngine/Vulkan/Renderer.h>

namespace AuroraFW::GEngine::API {
	Renderer* Renderer::Load()
	{
		switch(API::Context::getRenderAPI())
		{
			case API::OpenGL: return AFW_NEW GLRenderer(); break;
			case API::Vulkan: return AFW_NEW VKRenderer(); break;
			default: return AFW_NULLPTR; break;
		}
	}
}
